Getting Started with the AEM SPA Editor - Hello World Tutorial - Package Dependencies

AEM_Forum 17-07-2018

Hi,

I was following Getting Started with the AEM SPA Editor - Hello World Tutorial @Getting Started with the AEM SPA Editor - Hello World Tutorial

1. I did not follow this tutorial step by step, but tried to install the Finished Package END-we-retail-journal-all-0.2.5-SNAPSHOT.zip on my plain AEM 6.4, but got the following error:

"Could not Install Package. Refusing to install package adobe/aem640/sample:we-retail-journal-all:0.2.5-SNAPSHOT. required dependencies missing: [day/cq60/product:cq-ui-wcm-editor-content:(1.0.138,)]".

Kindly suggest.

2. Does this Finished Package also need the SPA Editor Feature Pack, that is currently available through the SPA Editor Beta Program?

I see that the tutorial does.

Appreciate your support.

Thanks,

Rama.

Accepted Solutions (1)

Accepted Solutions (1)

smacdonald2008 18-07-2018

I confirmed - there is an issue with the final package. I have sent Danial an email and it will be addressed and updated when he can get to it.

Answers (13)

Answers (13)

AEM_Forum 18-07-2018

Hi Scott,

I am not sure that Final Package is the only issue.

Ratna Kumar followed the tutorial step by step and it is failing at Build level.

Probably even the steps need to be modified to make it a success.

Thanks,

Rama.

AEM_Forum 18-07-2018

Hi Ratna Kumar,

Thanks for following up.

When you talk to Daniel, please get required corrections to this tutorial, so that both the following scenarios work:

1. Deploying Finished Package directly

2. Step by step instructions to build the package and deploying it.

I highly appreciate your support.

Thanks,

Rama.

Ratna_Kumar
MVP
18-07-2018

Hi Rama,

I have checked by doing testing this from scratch as described step to step in Getting Started with the AEM SPA Editor - Hello World Tutorial

There is some issue in dependency and I got build failure. Below is the screenshot.

BuildFailure.PNG

smacdonald2008​ - Can you please also test step by step and you see the above same issue. I hope this GITHUB author is from Adobe Employee.

Thanks,

Ratna Kumar.

AEM_Forum 18-07-2018

Hi all,

Someone must have tested this tutorial.

Could you pl send me your final package, that I could deploy on my 6.4 and test?

Appreciate your support.

Thanks,

Rama.

AEM_Forum 17-07-2018

Hi Ratna Kumar,

Thanks for responding.

Myself approaching the Github author may not be of any use.

Is there a way, he/she is approached through proper channel, like AEM Forum or Adobe?

Thanks,

Rama.

AEM_Forums 17-07-2018

Hi Rama,

I see that there is a dependencies issue in the package and I got the error while installing the package. Here is the below screenshot.

Dependencies.PNG

Please contact the respective author in the GITHUB. He can help you in this regard.

Thanks,

Ratna Kumar.